Support
-------

.. automodule:: nupic.support
   :members:

Configuration Base
^^^^^^^^^^^^^^^^^^

See :doc:`default-config` for details about default values.

.. automodule:: nupic.support.configuration_base
   :members:

Configuration Custom
^^^^^^^^^^^^^^^^^^^^

.. automodule:: nupic.support.configuration_custom
   :members:

Console Printer
^^^^^^^^^^^^^^^

.. automodule:: nupic.support.console_printer
   :members:

File System Helpers
^^^^^^^^^^^^^^^^^^^

.. automodule:: nupic.support.fs_helpers
   :members:

Group By
^^^^^^^^

.. automodule:: nupic.support.group_by
   :members:

Lock Attributes
^^^^^^^^^^^^^^^

.. automodule:: nupic.support.lock_attributes
   :members:

PyMySQL Helpers
^^^^^^^^^^^^^^^

.. automodule:: nupic.support.pymysql_helpers
.. automethod:: nupic.support.pymysql_helpers.retrySQL

Serializable
^^^^^^^^^^^^

.. autoclass:: nupic.serializable.Serializable
   :members:
